Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class RepeaterJXPathAdapter

    java.lang.Object
      org.apache.cocoon.forms.binding.RepeaterJXPathAdapter

All Implemented Interfaces:
  RepeaterAdapter

public class RepeaterJXPathAdapter
extends Object
implements RepeaterAdapter

Version:
  $Id: RepeaterJXPathAdapter.java 587759 2007-10-24 03:00:37Z vgritsenko $

Constructor Summary
`RepeaterJXPathAdapter()`

Method Summary
`RepeaterItem` | `generateItem(Repeater.RepeaterRow row)`
`RepeaterFilter` | `getFilter()`
`RepeaterItem` | `getItem(int i)`
`void` | `populateRow(RepeaterItem item)`
`void` | `setBinding(EnhancedRepeaterJXPathBinding binding)`
`void` | `setCollection(Collection c)`
`void` | `setJXCollection(RepeaterJXPathCollection collection)`
`RepeaterSorter` | `sortBy(String field)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeaterJXPathAdapter

    public RepeaterJXPathAdapter()

Method Detail

### getFilter

    public RepeaterFilter getFilter()

  Specified by:
    `getFilter` in interface `RepeaterAdapter`

### sortBy

    public RepeaterSorter sortBy(String field)

  Specified by:
    `sortBy` in interface `RepeaterAdapter`

### setBinding

    public void setBinding(EnhancedRepeaterJXPathBinding binding)

  Specified by:
    `setBinding` in interface `RepeaterAdapter`

### setCollection

    public void setCollection(Collection c)

  Specified by:
    `setCollection` in interface `RepeaterAdapter`

### setJXCollection

    public void setJXCollection(RepeaterJXPathCollection collection)

  Specified by:
    `setJXCollection` in interface `RepeaterAdapter`

### getItem

    public RepeaterItem getItem(int i)

  Specified by:
    `getItem` in interface `RepeaterAdapter`

### generateItem

    public RepeaterItem generateItem(Repeater.RepeaterRow row)

  Specified by:
    `generateItem` in interface `RepeaterAdapter`

### populateRow

    public void populateRow(RepeaterItem item)
                     throws BindingException

  Specified by:
    `populateRow` in interface `RepeaterAdapter`
  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.